server:
  port: 8080
spring:
  main:
    #新创建的bean覆盖旧的bean
    allow-bean-definition-overriding: true
  application:
    name: qiaoba-boot
  profiles:
    active: dev
  servlet:
    multipart:
      #开启文件上传
      enabled: true
      #限制文件上传大小为 200M
      max-file-size: 200MB
      #限制文件上传大小为 200M
      max-request-size: 200MB
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  # redis 配置
  redis:
    # 地址
    host: 192.168.0.202
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

qiaoba:
  auth:
    whitelist:
      - /
      - /*.*
      - /favicon.ico
      - /**/*.html
      - /**/*.css
      - /**/*.js
      - /swagger-resources
      - /v3/api-docs/**
      - /druid/**
      - /resource/**
      - /login
      - /register
      - /captchaImage
      - /tenant/normal-list

springdoc:
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  api-docs:
    path: /v3/api-docs
  group-configs:
    - group: '系统管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.system.controller
    - group: '文件管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.file.controller
    - group: '租户管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.tenant.controller
    - group: '监控管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.monitor.controller
# knife4j的增强配置，不需要增强可以不配
knife4j:
  enable: true
  setting:
    language: zh_cn
    enable-swagger-models: false
    enable-footer-custom: true
    footer-custom-content: create by ailanyin

